Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.opensymphony.xwork2.conversion.impl
Class XWorkBasicConverter

    java.lang.Object
      com.opensymphony.xwork2.conversion.impl.DefaultTypeConverter
          com.opensymphony.xwork2.conversion.impl.XWorkBasicConverter

All Implemented Interfaces:
  TypeConverter

    public class XWorkBasicConverter

extends DefaultTypeConverter

XWork will automatically handle the most common type conversion for you. This includes support for converting to and from Strings for each of the following:

- String
- boolean / Boolean
- char / Character
- int / Integer, float / Float, long / Long, double / Double
- dates - uses the SHORT format for the Locale associated with the current request
- arrays - assuming the individual strings can be coverted to the individual items
- collections - if not object type can be determined, it is assumed to be a String and a new ArrayList is created

Note that with arrays the type conversion will defer to the type of the array elements and try to convert each item individually. As with any other type conversion, if the conversion can't be performed the standard type conversion error reporting is used to indicate a problem occured while processing the type conversion.

Author:
  Pat Lightbody, Mike Mosiewicz, Rainer Hermanns, Alexandru Popescu

Field Summary

Fields inherited from interface com.opensymphony.xwork2.conversion.TypeConverter
`NO_CONVERSION_POSSIBLE, TYPE_CONVERTER_CONTEXT_KEY`

Constructor Summary
`XWorkBasicConverter()`

Method Summary
`java.lang.Object` | `convertValue(java.util.Map<java.lang.String,java.lang.Object> context, java.lang.Object o, java.lang.reflect.Member member, java.lang.String s, java.lang.Object value, java.lang.Class toType)` Converts the given value to a given type.
`protected boolean` | `isInRange(java.lang.Number value, java.lang.String stringValue, java.lang.Class toType)`
`protected boolean` | `isIntegerType(java.lang.Class type)`
`void` | `setObjectFactory(ObjectFactory fac)`
`void` | `setObjectTypeDeterminer(ObjectTypeDeterminer det)`
`void` | `setXWorkConverter(XWorkConverter conv)`

Methods inherited from class com.opensymphony.xwork2.conversion.impl.DefaultTypeConverter
`bigDecValue, bigIntValue, booleanValue, convertValue, convertValue, doubleValue, enumValue, getTypeConverter, longValue, stringValue, stringValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XWorkBasicConverter

    public XWorkBasicConverter()

Method Detail

### setObjectTypeDeterminer

    public void setObjectTypeDeterminer(ObjectTypeDeterminer det)

### setXWorkConverter

    public void setXWorkConverter(XWorkConverter conv)

### setObjectFactory

    public void setObjectFactory(ObjectFactory fac)

### convertValue

    public java.lang.Object convertValue(java.util.Map<java.lang.String,java.lang.Object> context,
                                         java.lang.Object o,
                                         java.lang.reflect.Member member,
                                         java.lang.String s,
                                         java.lang.Object value,
                                         java.lang.Class toType)

  Description copied from interface: `TypeConverter`
  Converts the given value to a given type. The OGNL context, target, member and name of property being set are given. This method should be able to handle conversion in general without any context, target, member or property name specified.

  Specified by:
    `convertValue` in interface `TypeConverter`
  Overrides:
    `convertValue` in class `DefaultTypeConverter`
  Parameters:
    `context` - context under which the conversion is being done
    `o` - target object in which the property is being set
    `member` - member (Constructor, Method or Field) being set
    `s` - property name being set
    `value` - value to be converted
    `toType` - type to which value is converted
  Returns:
    Converted value of type toType or TypeConverter.NoConversionPossible to indicate that the conversion was not possible.

### isInRange

    protected boolean isInRange(java.lang.Number value,
                                java.lang.String stringValue,
                                java.lang.Class toType)

### isIntegerType

    protected boolean isIntegerType(java.lang.Class type)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.